Add deployed server bootstrap for RHEL
authorJames Slagle <jslagle@redhat.com>
Thu, 26 Jan 2017 20:06:46 +0000 (15:06 -0500)
committerJames Slagle <jslagle@redhat.com>
Thu, 26 Jan 2017 20:06:46 +0000 (15:06 -0500)
This is similar to the bootstrap for CentOS, except we don't set SELinux
to permissive on RHEL.

Change-Id: I52b8fa017ee2821d2fa91e5ec806a55fcb92566d
Partially-implements: blueprint split-stack-software-configuration

deployed-server/deployed-server-bootstrap-rhel.sh [new file with mode: 0644]
deployed-server/deployed-server-bootstrap-rhel.yaml [new file with mode: 0644]
environments/deployed-server-bootstrap-environment-rhel.yaml [new file with mode: 0644]

diff --git a/deployed-server/deployed-server-bootstrap-rhel.sh b/deployed-server/deployed-server-bootstrap-rhel.sh
new file mode 100644 (file)
index 0000000..36ff007
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -eux
+
+yum install -y \
+    jq \
+    python-ipaddr \
+    openstack-puppet-modules \
+    os-net-config \
+    openvswitch \
+    python-heat-agent*
+
+ln -s -f /usr/share/openstack-puppet/modules/* /etc/puppet/modules
diff --git a/deployed-server/deployed-server-bootstrap-rhel.yaml b/deployed-server/deployed-server-bootstrap-rhel.yaml
new file mode 100644 (file)
index 0000000..2d2f515
--- /dev/null
@@ -0,0 +1,22 @@
+heat_template_version: ocata
+
+description: 'Deployed Server Bootstrap Config'
+
+parameters:
+
+  server:
+    type: string
+
+resources:
+
+  DeployedServerBootstrapConfig:
+    type: OS::Heat::SoftwareConfig
+    properties:
+      group: script
+      config: {get_file: deployed-server-bootstrap-rhel.sh}
+
+  DeployedServerBootstrapDeployment:
+    type: OS::Heat::SoftwareDeployment
+    properties:
+      config: {get_resource: DeployedServerBootstrapConfig}
+      server: {get_param: server}
diff --git a/environments/deployed-server-bootstrap-environment-rhel.yaml b/environments/deployed-server-bootstrap-environment-rhel.yaml
new file mode 100644 (file)
index 0000000..f614a91
--- /dev/null
@@ -0,0 +1,7 @@
+# An environment that can be used with the deployed-server.yaml template to do
+# initial bootstrapping of the deployed servers.
+resource_registry:
+  OS::TripleO::DeployedServer::Bootstrap: ../deployed-server/deployed-server-bootstrap-rhel.yaml
+
+parameter_defaults:
+  EnablePackageInstall: True